Core - Bug # 58493

Status: Resolved Priority: Should have
Author: Nicole Cordes Category: Extension Manager
Created: 2014-05-04 Assigned To: Nicole Cordes
Updated: 2014-05-04 Due date:

TYPO3 Version: 6.2

PHP Version:

Complexity:

Is Regression: No

Sprint Focus:

Subject: Follow up: Disable remove button for installed extension

Description

To lower the complexity of the extension manager, the remove button should be hidden for installed extensions.

Related issues:

related to Core - Bug # 53459: Extension manager - removed extension stays in...

Resolved

2013-11-08

Associated revisions

Revision 0a59f6¢0 - 2014-05-04 14:19 - Nicole Cordes

[BUGFIX] Disable removal of installed extensions

This patch removes the deletion possibility for installed extension in
the list view of the extension manager. Furthermore the javascript can

be adopted as the check for installed extensions can be removed as well.

Resolves: #58493

Related: #53459

Releases: 6.2

Change-Id: 1713bbb93230108db144044be9184e77f484931c9
Reviewed-on: https://review.typo3.org/29849

Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring
Reviewed-by: Sascha Wilking
Tested-by: Sascha Wilking
Reviewed-by: Nadir S.

Tested-by: Nadir S.

Reviewed-by: Marc Bastian Heinrichs
Tested-by: Marc Bastian Heinrichs

History

#1 - 2014-05-04 13:54 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/29849
#2 - 2014-05-04 13:56 - Anja Leichsenring

In the issue #53459 the uninstall step for activated extension, when one uses the remove button (I mean the trashcan, not the uninstall button) is
removed.
With this, dependency check for active extensions requiring the one to be removed alongside with flushing the system cache is removed. This leads to

Fatal Errors in Backend.

In order to lower complexity we remove now the possibility to remove active extensions and remove all code depending on this particular function. This

follows the removal of the uninstall check for extensions to be removed.
Here are the rules for removing extension from now on:

- active extensions need to be uninstalled, then removed (as two steps)
- inactive extensions can be removed

#3 - 2014-05-04 14:05 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/29849

#4 - 2014-05-04 14:30 - Nicole Cordes
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:0a59f6c04923aa5392fb42351c5ecacelaff85a5.

2015-08-04 22


https://review.typo3.org/29849

